Skip to main content
PUT
/
phone
/
sip
/
outbound-trunks
/
{trunk_id}
Update an outbound SIP trunk
curl --request PUT \
  --url https://api.open.cx/phone/sip/outbound-trunks/{trunk_id} \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>"
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "created_at": "<string>",
  "updated_at": "<string>"
}

Path Parameters

trunk_id
string
required

Body

application/json
name
string
required

New name for the trunk

Minimum string length: 1

Response

Default Response

id
string<uuid>
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
name
string
required

Friendly name

created_at
string
required

Creation timestamp

updated_at
string
required

Last update timestamp